module CrvApiClient
  module Utils
    class Configuration

      attr_accessor :endpoint_reproduction
      attr_accessor :endpoint_animals
      attr_accessor :http_connect_timeout
      attr_accessor :http_receive_timeout
      attr_accessor :username
      attr_accessor :password
      attr_accessor :log_file

      attr_accessor :customer
      attr_accessor :provider


      def customer=(customer={})
        @customer_participant_code = customer[:participant_code] || ""
        @customer_participant_code_type = customer[:participant_code_type] || ""
        @customer_country_code = customer[:country_code] || ""
        customer
      end

      def customer
        {participant_code: @customer_participant_code || "", participant_code_type: @customer_participant_code_type|| "", country_code: @customer_country_code|| ""}
      end

      def provider=(provider={})
        @provider_participant_code = provider[:participant_code] || ""
        @provider_participant_code_type = provider[:participant_code_type] || ""
        @provider_country_code = provider[:country_code] || ""
        provider
      end

      def provider
        {participant_code: @provider_participant_code|| "", participant_code_type: @provider_participant_code_type|| "", country_code: @provider_country_code|| ""}
      end
    end
  end
end